Skip to main content
GET
Get Registrant Audit Sessions

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

id
integer
required

integer - required - The registrant ID to retrieve session audit records for

Example:

101

Query Parameters

event_id
integer
required

integer - required - The ID of the event you want to retrieve audit records for

Example:

1

start_time
string
required

string - required - ISO 8601 datetime (YYYY-MM-DD HH:MM:SS). Returns records updated at or after this timestamp.

Example:

"2024-01-01 00:00:00"

end_time
string

string - optional - ISO 8601 datetime. Returns records updated before this timestamp.

Example:

"2024-12-31 23:59:59"

fields
string

string - optional - Comma separated list of fields you want to return. The registrant_id field is always returned.

Example:

"registrant_id,group_id,full_name,email,updated_at,type,session_ids"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 1000)

Example:

"100"

Response

Collection

items
object[]
_meta
object